c save/return "pauseit" status 

c$define INCL_REXXSAA
c$include rexxsaa.fap

! Declare our exported function.  Export it!

c$pragma aux (RexxFunctionHandler) SRE_PAUSE "SRE_PAUSE"

! SRE_PAUSE -- store variables 

c$noreference
	integer function SRE_PAUSE( name, numargs, args,
     &                            queuename, retstr )
c$reference

	character*(*) name, queuename
	integer numargs
      	record /RXSTRING/ retstr, args(numargs)
        
	include 'rxsutils.fi'

	character*(*) arg1
        character *80 pauseit,tmp
        save pauseit
        volatile pauseit
        data pauseit/'0'/
        integer tmplen,ierr1

c gotta be a few arguments
	if( numargs .gt. 1) then
           SRE_PAUSE = 443
           return
	endif

        if (numargs.eq.0) then 
           tmp=pauseit
           tmplen=lentrim(pauseit)
           goto 2000
        endif

        allocate( arg1*args(1).strlength, location=args(1).strptr )
        pauseit=arg1
        tmplen=2
        tmp='ok'
        goto 2000

c jump here to return status code stored in tmp
 2000  call CopyResult( tmp,tmplen, retstr )
       deallocate(arg1,stat=ierr1)
       SRE_PAUSE = VALID_ROUTINE
       return

        end

        

